Page MenuHomePhabricator

[subtask] Feature flag language button at the bottom
Closed, ResolvedPublic

Description

AC

  • Language button at the bottom can be enabled and disabled with a config variable
    • Use MinervaBottomLanguageButton (defaults to enabled (true))
  • Create future task to remove flag and flagged code once the transition to top action bar has been completed.
    • See T130849, added to that clean up task

This is a subtask, no points. See parent task

Event Timeline

Jhernandez moved this task from To Triage to 2016-17 Q1 on the Readers-Web-Backlog board.
Jhernandez renamed this task from Feature flag language button at the bottom to [subtask] Feature flag language button at the bottom.Jul 20 2016, 9:24 AM

Change 299994 had a related patch set uploaded (by Jhernandez):
Feature flag language button in secondary actions

https://gerrit.wikimedia.org/r/299994

I haven't submitted JS code to disable the button when the flag is off in cached HTML pages, given it is not that important that is not there.

Jhernandez updated the task description. (Show Details)Jul 20 2016, 12:52 PM

Change 299994 merged by jenkins-bot:
Feature flag language button in secondary actions

https://gerrit.wikimedia.org/r/299994

phuedx reassigned this task from Jhernandez to dr0ptp4kt.Jul 21 2016, 12:52 PM
phuedx added subscribers: dr0ptp4kt, phuedx.

@dr0ptp4kt: If you decide to assign this to an engineer to sign off, then bear in mind that @Jhernandez worked on it.

@phuedx @Jdlrobson @bmansurov @jhobs would one of you please sign off if appropriate?

phuedx claimed this task.Jul 21 2016, 5:51 PM
phuedx closed this task as Resolved.Jul 22 2016, 9:03 AM

This LGTM.

Since this task is for togging the generation of content, rather than changing the display of content, I only tested it in one browser, Chrome (51.0.2704.106).

I tested the change as follows:

  • I observed that the bottom language button (herein: button) still showed on a page with interlanguage links
  • I added $wgMinervaBottomLanguageButton = false to my LocalSettings.php file and observed that the button didn't show on a page with interlanguage links
  • I changed the default value of MinervaBottomLanguageButton to false in extension.json and observed that the button still functioned on a cached version of a page with interlanguage links. The cached version of the page was generated with the following commands:
cd /path/to/mediawiki/extensions/MobileFrontend
MEDIAWIKI_HOST=http://dev.wiki.local.wmftest.net:8080 ./dev-scripts/cachedpage.sh HEAD~1